video_grid__bp_2_cols = 600px

video_grid__preview__min_height__1_col = 510px
video_grid__preview__max_height__1_col = 850px

video_grid__preview__min_height__2_cols = 490px
video_grid__preview__max_height__2_cols = 680px


video_grid__preview_height(extraspace=0)
    height two_point_vw_fluid(
        page_manager__min_vw, (video_grid__preview__min_height__1_col + extraspace),
        (video_grid__bp_2_cols - 1px), (video_grid__preview__max_height__1_col + extraspace),
    )
    @media (min-width: video_grid__bp_2_cols)
        height two_point_vw_fluid(
            video_grid__bp_2_cols, (video_grid__preview__min_height__2_cols + extraspace),
            (page_manager__breakpoint - 1px), (video_grid__preview__max_height__2_cols + extraspace),
        )
    @media (min-width: page_manager__breakpoint)
        height (video_grid__preview__max_height__2_cols + extraspace)


.video-grid

    // grid container
    display grid
    grid-template-columns 1fr
    grid-column-gap page_manager__fluid_padding
    @media (min-width: video_grid__bp_2_cols)
        grid-template-columns 1fr 1fr
    @media (min-width: page_manager__breakpoint)
        grid-column-gap page_manager__fluid_padding__max


    &--preview

        video_grid__preview_height()
